<?php

use Illuminate\Database\Seeder;
use Encore\Admin\Auth\Database\Menu;

class AdminMenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $admin_menu = array(
          array(
              'id' => 1,
              'parent_id' => 0,
              'order' => 1,
              'title' => 'Dashboard',
              'icon' => 'fa-bar-chart',
              'uri' => '/',
              'created_at' => '2019-06-24 20:00:25',
              'updated_at' => '2019-06-24 20:00:25',
          ),
            array(
                'id' => 2,
                'parent_id' => 0,
                'order' => 2,
                'title' => 'Admin',
                'icon' => 'fa-tasks',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 3,
                'parent_id' => 2,
                'order' => 3,
                'title' => 'Users',
                'icon' => 'fa-users',
                'uri' => 'auth/users',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 4,
                'parent_id' => 2,
                'order' => 4,
                'title' => 'Roles',
                'icon' => 'fa-user',
                'uri' => 'auth/roles',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 5,
                'parent_id' => 2,
                'order' => 5,
                'title' => 'Permission',
                'icon' => 'fa-ban',
                'uri' => 'auth/permissions',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 6,
                'parent_id' => 2,
                'order' => 6,
                'title' => 'Menu',
                'icon' => 'fa-bars',
                'uri' => 'auth/menu',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 7,
                'parent_id' => 2,
                'order' => 7,
                'title' => 'Operation log',
                'icon' => 'fa-history',
                'uri' => 'auth/logs',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 8,
                'parent_id' => 28,
                'order' => 17,
                'title' => 'Contacts',
                'icon' => 'fa-phone',
                'uri' => '/contacts',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 9,
                'parent_id' => 21,
                'order' => 13,
                'title' => 'Courses',
                'icon' => 'fa-calendar-minus-o',
                'uri' => '/courses',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 10,
                'parent_id' => 21,
                'order' => 14,
                'title' => 'Course Detail',
                'icon' => 'fa-github',
                'uri' => '/coursedetails',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 11,
                'parent_id' => 21,
                'order' => 15,
                'title' => 'Documents',
                'icon' => 'fa-microphone',
                'uri' => '/documents',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 12,
                'parent_id' => 22,
                'order' => 26,
                'title' => 'Logos',
                'icon' => 'fa-area-chart',
                'uri' => '/logos',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 14,
                'parent_id' => 28,
                'order' => 18,
                'title' => 'Register Course',
                'icon' => 'fa-apple',
                'uri' => '/registercourses',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 15,
                'parent_id' => 22,
                'order' => 27,
                'title' => 'Settings',
                'icon' => 'fa-circle-thin',
                'uri' => '/settings',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 17,
                'parent_id' => 20,
                'order' => 24,
                'title' => 'Students',
                'icon' => 'fa-angle-double-right',
                'uri' => '/students',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 18,
                'parent_id' => 20,
                'order' => 23,
                'title' => 'Teachers',
                'icon' => 'fa-angle-double-right',
                'uri' => '/teachers',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 20,
                'parent_id' => 27,
                'order' => 22,
                'title' => 'People',
                'icon' => 'fa-child',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 21,
                'parent_id' => 0,
                'order' => 8,
                'title' => 'Course Managment',
                'icon' => 'fa-building-o',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 22,
                'parent_id' => 27,
                'order' => 25,
                'title' => 'Common',
                'icon' => 'fa-bank',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 23,
                'parent_id' => 0,
                'order' => 20,
                'title' => 'Promotion Code',
                'icon' => 'fa-circle-o-notch',
                'uri' => '/codes',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 24,
                'parent_id' => 21,
                'order' => 9,
                'title' => 'Learning Facility',
                'icon' => 'fa-bank',
                'uri' => '/learning-facilities',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 25,
                'parent_id' => 28,
                'order' => 19,
                'title' => 'Users',
                'icon' => 'fa-user',
                'uri' => '/users',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 26,
                'parent_id' => 21,
                'order' => 12,
                'title' => 'Classes',
                'icon' => 'fa-bank',
                'uri' => '/classes',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 27,
                'parent_id' => 0,
                'order' => 21,
                'title' => 'Web Settings',
                'icon' => 'fa-500px',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 28,
                'parent_id' => 0,
                'order' => 16,
                'title' => 'Marketing',
                'icon' => 'fa-braille',
                'uri' => '',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 29,
                'parent_id' => 21,
                'order' => 10,
                'title' => 'Classrooms',
                'icon' => 'fa-cut',
                'uri' => '/classrooms',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 30,
                'parent_id' => 21,
                'order' => 11,
                'title' => 'Learning Shifts',
                'icon' => 'fa-spinner',
                'uri' => '/learning-shifts',
                'created_at' => '2019-06-24 20:00:25',
                'updated_at' => '2019-06-24 20:00:25',
            ),
            array(
                'id' => 31,
                'parent_id' => 21,
                'order' => 12,
                'title' => 'subjects',
                'icon' => 'fa-spinner',
                'uri' => '/subjects',
                'created_at' => '2019-10-09 20:00:25',
                'updated_at' => '2019-10-09 20:00:25',
            ),
            array(
                'id' => 32,
                'parent_id' => 21,
                'order' => 12,
                'title' => 'Course-Subject',
                'icon' => 'fa-spinner',
                'uri' => '/course-subject-temps',
                'created_at' => '2019-10-11 20:00:25',
                'updated_at' => '2019-10-11 20:00:25',
            ),
            array(
                'id' => 33,
                'parent_id' => 0,
                'order' => 13,
                'title' => 'Blogs',
                'icon' => 'fa-newspaper-o',
                'uri' => '',
                'created_at' => '2019-10-11 20:00:25',
                'updated_at' => '2019-10-11 20:00:25',
            ),
            array(
                'id' => 34,
                'parent_id' => 33,
                'order' => 14,
                'title' => 'Blogs',
                'icon' => '',
                'uri' => '/blogs',
                'created_at' => '2019-10-11 20:00:25',
                'updated_at' => '2019-10-11 20:00:25',
            ),
            array(
                'id' => 35,
                'parent_id' => 33,
                'order' => 15,
                'title' => 'Blog Categories',
                'icon' => '',
                'uri' => '/blog-categories',
                'created_at' => '2019-10-11 20:00:25',
                'updated_at' => '2019-10-11 20:00:25',
            ),

        );
        Menu::truncate();
        foreach ($admin_menu as $menu){
            $dashboardMenu = new Menu();
            $dashboardMenu->id = $menu['id'];
            $dashboardMenu->parent_id = $menu['parent_id'];
            $dashboardMenu->order = $menu['order'];
            $dashboardMenu->title = $menu['title'];
            $dashboardMenu->icon = $menu['icon'];
            $dashboardMenu->uri = $menu['uri'];
            $dashboardMenu->save();
        }
    }
}
